Qt 5.8 | Qt Multimedia | C++ Classes | QMediaNetworkAccessControl

Qt 5.8.0 Reference Documentation

# QMediaNetworkAccessControl Class

The QMediaNetworkAccessControl class allows the setting of the Network Access Point for media related activities. More...

Header: | #include <QMediaNetworkAccessControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaNetworkAccessControl()
virtual QNetworkConfiguration | currentConfiguration() const = 0
virtual void | setConfigurations(const QList<QNetworkConfiguration> &configurations) = 0

## Signals

void | configurationChanged(const QNetworkConfiguration &configuration)

## Detailed Description

The QMediaNetworkAccessControl class allows the setting of the Network Access Point for media related activities.

The functionality provided by this control allows the setting of a Network Access Point.

This control can be used to set a network access for various network related activities. The exact nature is dependent on the underlying usage by the supported QMediaObject.

## Member Function Documentation

### `[virtual]` QMediaNetworkAccessControl::~QMediaNetworkAccessControl()

Destroys a network access control.

### `[signal]` void QMediaNetworkAccessControl::configurationChanged(const QNetworkConfiguration &configuration)

This signal is emitted when the current active network configuration changes to configuration.

### `[pure virtual]` QNetworkConfiguration QMediaNetworkAccessControl::currentConfiguration() const

Returns the current active configuration in use. A default constructed QNetworkConfigration is returned if no user supplied configuration are in use.

### `[pure virtual]` void QMediaNetworkAccessControl::setConfigurations(const QList<QNetworkConfiguration> &configurations)

The configurations parameter contains a list of network configurations to be used for network access.

It is assumed the list is given in highest to lowest preference order. By calling this function all previous configurations will be invalidated and replaced with the new list.